Bug 1257863 - bluetooth headphones skips often
Summary: bluetooth headphones skips often
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 27
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-28 09:32 UTC by Tomasz Torcz
Modified: 2018-07-12 13:45 UTC (History)
13 users (show)

Fixed In Version: pulseaudio-12.0-3.fc28 pulseaudio-12.0-3.fc27
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-11 20:16:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 58746 None None None 2016-09-06 21:48:45 UTC

Description Tomasz Torcz 2015-08-28 09:32:34 UTC
Description of problem:
While playing music, every few 5-7 seconds there's a pause for about 1 second. 
Headphones are connected by bluetooth, use A2DP profile.

[HS-BT01]# info
Device 74:FD:A0:01:46:5D
        Name: HS-BT01
        Alias: HS-BT01
        Class: 0x240404
        Icon: audio-card
        Paired: yes
        Trusted: yes
        Blocked: no
        Connected: yes
        LegacyPairing: no
        UUID: Headset                   (00001108-0000-1000-8000-00805f9b34fb)
        UUID: Audio Sink                (0000110b-0000-1000-8000-00805f9b34fb)
        UUID: A/V Remote Control Target (0000110c-0000-1000-8000-00805f9b34fb)
        UUID: Advanced Audio Distribu.. (0000110d-0000-1000-8000-00805f9b34fb)
        UUID: A/V Remote Control        (0000110e-0000-1000-8000-00805f9b34fb)
        UUID: Handsfree                 (0000111e-0000-1000-8000-00805f9b34fb

There are following entries in logs during the incidents:
sie 28 10:58:51 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 46069 us (= 8124 bytes) in audio stream
sie 28 10:58:51 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 31084 us (= 5480 bytes) in audio stream
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 32250 us (= 5688 bytes) in audio stream
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 82927 us (= 14628 bytes) in audio stream
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 47068 us (= 8300 bytes) in audio stream
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 31079 us (= 5480 bytes) in audio stream
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 37088 us (= 6540 bytes) in audio stream
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 82091 us (= 14480 bytes) in audio stream
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 45067 us (= 7948 bytes) in audio stream
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 32094 us (= 5660 bytes) in audio stream
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 34067 us (= 6008 bytes) in audio stream
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 83097 us (= 14656 bytes) in audio stream
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 54069 us (= 9536 bytes) in audio stream
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 31080 us (= 5480 bytes) in audio stream
sie 28 10:58:53 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 33091 us (= 5836 bytes) in audio stream
sie 28 10:58:53 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 83093 us (= 14656 bytes) in audio stream


Version-Release number of selected component (if applicable):
pulseaudio-6.0-8.fc23.x86_64
bluez-5.33-1.fc24.x86_64
kernel-core-4.2.0-0.rc8.git0.1.fc24.x86_64


How reproducible:
Very often. 
Going to bluetooth control panel, disconnecting headphones and reconnecting them fixes it sometimes. But even after reconnect, the problem reappears after 1-2 hours of playback.

Comment 1 Tomasz Torcz 2015-10-02 08:48:31 UTC
Still happens with:
kernel-core-4.3.0-0.rc2.git1.1.fc24.x86_64
pulseaudio-7.0-1.fc24.x86_64
bluez-5.34-1.fc24.x86_64

Comment 2 Bastien Nocera 2015-10-02 11:51:27 UTC
Sorry, can't help with that.

Comment 3 Edward O'Callaghan 2015-11-08 09:42:08 UTC
I have the same issue also! It's not a range thing either because the speaker is right next to the laptop.

$ rpm -q kernel-core pulseaudio bluez

 kernel-core-4.2.5-300.fc23.x86_64
 pulseaudio-7.0-1.fc23.x86_64
 bluez-5.35-1.fc23.x86_64

This is on a fresh copy of Fedora 23/KDE.

@Tomasz, What controller do you have? Mine is the following:

$ lsusb | grep Blue

 Bus 004 Device 003: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0

Cheers,
Edward.

Comment 4 Tomasz Torcz 2015-11-10 08:27:20 UTC
My controller is:

Bus 004 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

Comment 5 yannik 2015-12-05 18:08:21 UTC
I do have the same problems with a USB bluetooth dongle:
Bus 001 Device 017: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

but also with a 
06:00.0 Network controller: Intel Corporation Wireless 7260 (rev 6b)

that has a integrated bluetooth controller.

I tried changing /etc/pulse/daemon.conf to no avail.

Comment 6 yannik 2015-12-05 18:32:50 UTC
Additional information:
This is a fresh Fedora 23 x64 installation on a Dell XPS 15. 

$ dnf list installed bluez*
bluez.x86_64                           5.36-1.fc23                      @updates
bluez-cups.x86_64                      5.36-1.fc23                      @updates
bluez-libs.x86_64                      5.36-1.fc23                      @updates
$ dnf list installed pulse*
pulseaudio.x86_64                               7.1-1.fc23              @updates
pulseaudio-gdm-hooks.x86_64                     7.1-1.fc23              @updates
pulseaudio-libs.i686                            7.1-1.fc23              @updates
pulseaudio-libs.x86_64                          7.1-1.fc23              @updates
pulseaudio-libs-glib2.x86_64                    7.1-1.fc23              @updates
pulseaudio-module-bluetooth.x86_64              7.1-1.fc23              @updates
pulseaudio-module-x11.x86_64                    7.1-1.fc23              @updates
pulseaudio-utils.x86_64                         7.1-1.fc23              @updates

Bluetooth audio works fine in Ubuntu 15.10 x64 with the following versions:

bluez                                               5.35-0ubuntu2
bluez-cups                                          5.35-0ubuntu2
bluez-obexd                                         5.35-0ubuntu2
gstreamer0.10-pulseaudio:amd64                      0.10.31-3+nmu4ubuntu2~gcc5.1
gstreamer1.0-pulseaudio:amd64                       1.6.0-1ubuntu1
pulseaudio
pulseaudio-module-bluetooth                         1:6.0-0ubuntu13
pulseaudio-module-x11                               1:6.0-0ubuntu13
pulseaudio-utils                                    1:6.0-0ubuntu13

On Fedora 23 I do experience the same stuttering with these journalctl entries:
sie 28 10:58:52 microstation pulseaudio[2869]: [bluetooth] module-bluez5-device.c: Skipping 82927 us (= 14628 bytes) in audio stream

This makes bluetooth audio completely unasble. It also happens when being within 50 centimeters of the bluetooth receiver, a Philips AEA2700:
	Name: Philips AEA2700
	Alias: Philips AEA2700
	Class: 0x240414
	Icon: audio-card
	Paired: yes
	Trusted: yes
	Blocked: no
	Connected: yes
	LegacyPairing: no
	UUID: Audio Sink                (0000110b-0000-1000-8000-00805f9b34fb)
	UUID: A/V Remote Control Target (0000110c-0000-1000-8000-00805f9b34fb)
	UUID: A/V Remote Control        (0000110e-0000-1000-8000-00805f9b34fb)

Comment 7 Jan Kurik 2016-02-24 13:40:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 8 Mike Goodwin 2016-07-03 05:47:36 UTC
It doesn't really matter what it's reported against, it affects _all_ linuxes that involve modern pulseaudio and bluez unfortunately. 

This is not a RH/Fedora specific bug and should be dealt with upstream:

https://bugs.freedesktop.org/show_bug.cgi?id=58746

Fantastically and in true linux fashion, I myself have tried every possible combination of bluetooth headphone and dongle, those with proprietary blobs for drivers, those with completely open drivers, a slew of headphones... They all work perfectly on Windows and Android... Skipping has the effect of rate-limiting the playback buffer and the audio syncs when you re-enter the signal area. Literally the only OS that isn't handling this properly at the moment is desktop Linux.

Comment 9 Teppo Turtiainen 2017-02-16 22:56:10 UTC
This bug makes it impossible to watch movies with a Bluetooth headset.

Comment 10 Fedora End Of Life 2017-07-25 19:12:12 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Jan Kurik 2017-08-15 06:37:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 12 Shatadru Bandyopadhyay 2017-12-26 08:44:02 UTC
While searching what I understand is it is a very common issue.

What I do not understand is why it is not being fixed, the upstream bug was reported on 2012-12-25 and from the progress it does not look like going to be fixed any time soon.

From a user's perspective, starting from pairing devices to connecting to a device, everything looks so unstable and buggy in Fedora 27 workstation and I have to check logs /search BZs /  troubleshoot things instead of being able to listen to music peacefully !!!!

And no its *not* buggy devices as it works well in android/mac so may be we should fix the implementation!

~~~
Dec 26 13:48:35 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 8810 us (= 1552 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 5795 us (= 1020 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 5799 us (= 1020 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 4809 us (= 848 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 4766 us (= 840 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 2123 us (= 372 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 5807 us (= 1024 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 29783 us (= 5252 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 31803 us (= 5608 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 5760 us (= 1016 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 30801 us (= 5432 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 31799 us (= 5608 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 3764 us (= 660 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 1153 us (= 200 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 5773 us (= 1016 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 5805 us (= 1024 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 29791 us (= 5252 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 5804 us (= 1020 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 30783 us (= 5428 bytes) in audio stream
Dec 26 13:48:36 hostname.example.com pulseaudio[3630]: [bluetooth] module-bluez5-device.c: Skipping 31792 us (= 5608 bytes) in audio stream
~~~

Comment 13 Dominik 'Rathann' Mierzejewski 2018-06-22 10:22:44 UTC
It looks like this was fixed upstream in https://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=192c3aaef8352ba9504aee4e311a23f6162d39d8 and is included in pulseaudio 12.0 release. Could someone backport this to F27+?

Comment 14 Fedora Update System 2018-06-23 13:25:39 UTC
pulseaudio-12.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ca2efd3f6

Comment 15 Fedora Update System 2018-06-23 15:29:22 UTC
pulseaudio-12.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-55824401dc

Comment 16 Fedora Update System 2018-06-23 18:56:16 UTC
pulseaudio-12.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-55824401dc

Comment 17 Fedora Update System 2018-06-23 21:21:59 UTC
pulseaudio-12.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ca2efd3f6

Comment 18 Fedora Update System 2018-07-02 03:52:24 UTC
pulseaudio-12.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ca2efd3f6

Comment 19 Fedora Update System 2018-07-02 12:54:28 UTC
pulseaudio-12.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-55824401dc

Comment 20 Fedora Update System 2018-07-03 13:59:55 UTC
pulseaudio-12.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-55824401dc

Comment 21 yannik 2018-07-03 16:12:10 UTC
This still persists for me (even though maybe to a bit lesser degree than before - I'm not entirely sure) I am using pulseaudio 12.0-1.fc28 from testing.

Comment 22 Fedora Update System 2018-07-03 17:52:17 UTC
pulseaudio-12.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ca2efd3f6

Comment 23 Fedora Update System 2018-07-05 19:23:36 UTC
pulseaudio-12.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ca2efd3f6

Comment 24 Fedora Update System 2018-07-05 19:24:19 UTC
pulseaudio-12.0-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-55824401dc

Comment 25 Fedora Update System 2018-07-06 16:01:36 UTC
pulseaudio-12.0-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-55824401dc

Comment 26 Fedora Update System 2018-07-06 17:52:43 UTC
pulseaudio-12.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ca2efd3f6

Comment 27 Fedora Update System 2018-07-11 20:16:39 UTC
pulseaudio-12.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2018-07-12 13:45:29 UTC
pulseaudio-12.0-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.